SDL_GetRectEnclosingPointsFloat(3)

NAME
SDL_GetRectEnclosingPointsFloat - Calculate a minimal rectangle enclosing a set of points with float precision.

SYNOPSIS
#include <SDL3/SDL_rect.h>

bool SDL_GetRectEnclosingPointsFloat(const SDL_FPoint *points, int count, const SDL_FRect *clip, SDL_FRect *result);

DESCRIPTION
If clip is not NULL then only points inside of the clipping rectangle are considered.

FUNCTION PARAMETERS

points
    an array of SDL_FPoint structures representing points to be enclosed.

count
    the number of structures in the points array.

clip
    an SDL_FRect used for clipping or NULL to enclose all points.

result
    an SDL_FRect structure filled in with the minimal enclosing rectangle.

RETURN VALUE
Returns true if any points were enclosed or false if all the points were outside of the clipping rectangle.

AVAILABILITY
This function is available since SDL 3.2.0.